#include <iostream>

using namespace std;

int main()
{
    int n,a[100000],b[100000];
    cin>>n;
    for(int i=1;i<=n;i++) cin>>a[i]>>b[i];
    if(n==1) cout<<0<<endl;
    else if(n==2)
    {
        if(a[1]==a[2]||b[1]==b[2]) cout<<1<<endl;
        else cout<<0<<endl;
    }
    return 0;
}